@import "src/assets/variable";

:host {
  display: flex;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* .vertical-logo {
  content: url(../assets/logo/text.png);
  float: right;
} */

.app-layout {
  height: 100vh;
  height: calc(var(--vh, 1vh) * 100);
  /* background-color: black;
  background: blue;
  position: relative; */
}

.logo {
    height: 32px;
    margin: 16px 45px 16px 32px;
}



.logo-desktop {
  width: 135px;
}

nz-header {
  background: #fff;
}

nz-content {
  margin: 0 16px;
}

nz-breadcrumb {
  margin: 16px 0;
}

.inner-content {
  padding: 24px;
  background: #fff;
  min-height: 360px;
  margin-top: 25px;
  font-size: 21px;
  text-align: center;
}

@font-face {
  font-family: MrChalk;
  src: url("../assets/fonts/MrChalk.otf") format("opentype");
}

/**
LEFT SIDE NAVBAR
**/
.ant-layout-sider {
  position: relative;
  min-width: 0;
  background: linear-gradient(135deg, #191a1b, #354454 60%, #191a1b);
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}


.ant-menu-dark, .ant-menu-dark .ant-menu-sub {
  color: #fff;
  background: #707d8a1c;
}

nz-sider.ant-layout-sider-trigger{
  position: fixed;
  bottom: 0;
  z-index: 1;
  height: 48px;
  color: darkgoldenrod !important;
  line-height: 48px;
  text-align: center;
  background: #002140;
  cursor: pointer;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}

.brand-logo {
  margin-right: 10px;
  width: 23px;
}

.brand-logo-i {
  margin-right: 10px;
  width: 23px;
  filter: invert(1);
}

.ant-menu-dark .ant-menu-submenu-open, .ant-menu-dark .ant-menu-submenu-selected, .ant-menu-dark .ant-menu-submenu-title:hover {
  background-color: transparent;
  font-weight: bold;
  color: darkgoldenrod;
}

.ant-menu.ant-menu-dark .ant-menu-item-selected, .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected {
  background: linear-gradient(135deg, #b8860b82, black 60%, #b8860bc9);
  font-weight: bold;
}
@media only screen and (max-device-width : 1024px) {
  /* .ant-layout-footer.mobile-footer {
    padding: 24px 30px;
  } */
}